petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSGetSolveTime

Gets the time after a call to TSSolve()

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetSolveTime(TS ts,PetscReal *ftime)

Not Collective

### Input Parameter

ts - the TS context

### Output Parameter

ftime - the final time. This time should correspond to the final time set with TSSetDuration()

### Notes

Can only be called after the call to TSSolve() is complete.

### Keywords

TS, nonlinear, set, convergence, test

### See Also

TSSetConvergenceTest(), TSConvergedReason

Level:beginner
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex13.c.html
src/ts/examples/tutorials/ex14.c.html